<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/background_white">

    <View
        android:visibility="gone"
        android:id="@+id/highlightBg"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@color/comment_highlight"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent" />

    <com.gh.gamecenter.common.view.AvatarBorderView
        android:id="@+id/userIconIv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="7dp"
        android:layout_marginTop="7dp"
        app:avatar_width="36dp"
        app:badge_width="12dp"
        app:border_color="@color/black_alpha_10"
        app:border_width="0.5dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:layout_height="54dp"
        tools:layout_width="54dp" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/userInfoContainer"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="3dp"
        android:layout_marginTop="8dp"
        android:layout_marginRight="24dp"
        app:layout_constraintEnd_toStartOf="@+id/moreIv"
        app:layout_constraintStart_toEndOf="@id/userIconIv"
        app:layout_constraintTop_toTopOf="@id/userIconIv">

        <TextView
            android:id="@+id/userNameTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:maxLines="1"
            android:textColor="@color/text_subtitle"
            android:textSize="14sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toStartOf="@+id/authorHintIv"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="孙一峰" />

        <ImageView
            android:id="@+id/authorHintIv"
            android:layout_width="26dp"
            android:layout_height="14dp"
            android:layout_marginLeft="4dp"
            android:layout_marginRight="8dp"
            android:src="@drawable/ic_hint_author"
            android:visibility="gone"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@+id/userNameTv"
            app:layout_constraintEnd_toStartOf="@+id/badgeIv"
            app:layout_constraintStart_toEndOf="@+id/userNameTv"
            app:layout_constraintTop_toTopOf="@+id/userNameTv"
            tools:visibility="visible" />

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/badgeIv"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginRight="4dp"
            android:visibility="gone"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@+id/userNameTv"
            app:layout_constraintEnd_toStartOf="@+id/badgeTv"
            app:layout_constraintStart_toEndOf="@+id/authorHintIv"
            app:layout_constraintTop_toTopOf="@+id/userNameTv"
            app:layout_goneMarginLeft="8dp"
            tools:background="@color/background"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/badgeTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="32dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="10sp"
            android:visibility="gone"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@+id/userNameTv"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/badgeIv"
            app:layout_constraintTop_toTopOf="@+id/userNameTv"
            tools:text="答题先锋" />

        <TextView
            android:visibility="gone"
            android:id="@+id/commentBadge"
            android:layout_width="wrap_content"
            android:layout_height="12dp"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginLeft="8dp"
            android:background="@color/theme"
            android:gravity="center"
            android:paddingLeft="4dp"
            android:paddingRight="4dp"
            android:text="客服"
            android:textColor="@color/white"
            android:textSize="8sp"
            app:layout_constraintBottom_toBottomOf="@id/badgeTv"
            app:layout_constraintLeft_toRightOf="@id/badgeTv"
            app:layout_constraintTop_toTopOf="@id/badgeTv" />

        <TextView
            android:id="@+id/floorHintTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:includeFontPadding="false"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="11sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/userNameTv"
            tools:text="1楼" />

        <TextView
            android:visibility="gone"
            android:id="@+id/commentTopTimeTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="4dp"
            android:includeFontPadding="false"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="11sp"
            app:layout_constraintTop_toTopOf="@+id/floorHintTv"
            app:layout_constraintBottom_toBottomOf="@+id/floorHintTv"
            app:layout_constraintStart_toEndOf="@+id/floorHintTv"
            tools:text="一小时前" />

        <ImageView
            android:id="@+id/topLabelIv"
            android:layout_width="26dp"
            android:layout_height="14dp"
            android:layout_marginLeft="4dp"
            android:src="@drawable/ic_article_comment_top"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@id/commentTopTimeTv"
            app:layout_constraintStart_toEndOf="@id/commentTopTimeTv"
            app:layout_constraintTop_toTopOf="@id/commentTopTimeTv"
            tools:visibility="visible" />

        <ImageView
            android:id="@+id/adoptionIv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="4dp"
            android:src="@drawable/ic_answer_adoption"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/topLabelIv"
            app:layout_constraintStart_toEndOf="@+id/topLabelIv"
            app:layout_constraintTop_toTopOf="@+id/topLabelIv"
            tools:visibility="visible" />

        <com.gh.gamecenter.common.view.materialratingbar.MaterialRatingBar
            android:visibility="gone"
            android:id="@+id/ratingStar"
            style="@style/Widget.MaterialRatingBar.RatingBar"
            android:layout_width="wrap_content"
            android:layout_height="10dp"
            android:isIndicator="true"
            android:minWidth="14dp"
            android:minHeight="14dp"
            android:numStars="5"
            app:layout_constraintBottom_toBottomOf="@+id/adoptionIv"
            app:layout_constraintStart_toEndOf="@+id/adoptionIv"
            app:layout_constraintTop_toTopOf="@+id/adoptionIv"
            app:mrb_progressTint="@color/theme" />


        <TextView
            android:visibility="gone"
            android:id="@+id/time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:gravity="center"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="@dimen/tag_text_size"
            app:layout_constraintBottom_toBottomOf="@+id/ratingStar"
            app:layout_constraintLeft_toRightOf="@id/ratingStar"
            app:layout_constraintTop_toTopOf="@+id/ratingStar" />

        <TextView
            android:visibility="gone"
            android:id="@+id/ipRegionTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="@dimen/tag_text_size"
            app:layout_constraintBottom_toBottomOf="@+id/time"
            app:layout_constraintStart_toEndOf="@+id/time"
            app:layout_constraintTop_toTopOf="@+id/time"
            tools:text="·广东"
            tools:visibility="visible" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <ImageView
        android:id="@+id/moreIv"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_centerVertical="true"
        android:layout_marginTop="11dp"
        android:layout_marginRight="11dp"
        android:scaleType="centerInside"
        android:src="@drawable/ic_community_comment_vertical_more"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.gh.gamecenter.common.view.ExpandTextView
        android:id="@+id/contentTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:layout_marginRight="16dp"
        android:includeFontPadding="false"
        android:lineSpacingExtra="6dp"
        android:maxLines="4"
        android:textColor="@color/text_title"
        android:textSize="14sp"
        app:expandText="...展开"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@id/userInfoContainer"
        app:layout_constraintTop_toBottomOf="@id/userInfoContainer"
        tools:text="星際爭霸與星際爭霸2的職業選電競戰隊的經理美少女团体星際老男孩成員之一，還在杭州經營水產生意。" />

    <TextView
        android:id="@+id/collapseTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="8dp"
        android:includeFontPadding="false"
        android:paddingLeft="8dp"
        android:paddingTop="8dp"
        android:paddingRight="8dp"
        android:text="收起"
        android:textColor="@color/theme_font"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/contentTv"
        tools:visibility="visible" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/commentPictureRv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginRight="16dp"
        android:paddingTop="16dp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@id/userInfoContainer"
        app:layout_constraintTop_toBottomOf="@+id/collapseTv"
        tools:visibility="visible" />

    <LinearLayout
        android:id="@+id/subCommentContainer"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:layout_marginRight="16dp"
        android:background="@color/background_space"
        android:orientation="vertical"
        android:paddingLeft="12dp"
        android:paddingTop="8dp"
        android:paddingRight="12dp"
        android:paddingBottom="8dp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@id/userInfoContainer"
        app:layout_constraintTop_toBottomOf="@id/commentPictureRv"
        tools:visibility="visible">

        <TextView
            android:id="@+id/firstSubCommentTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:lineSpacingExtra="3dp"
            android:maxLines="2"
            android:textColor="@color/text_subtitle"
            android:textSize="12sp"
            tools:text="2006年12月30日，孙一峰与女友weiwei结婚，育有儿子孙宁和女儿孙焕佳。" />

        <TextView
            android:id="@+id/secondSubCommentTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="6dp"
            android:includeFontPadding="false"
            android:lineSpacingExtra="3dp"
            android:maxLines="2"
            android:textColor="@color/text_subtitle"
            android:textSize="12sp"
            tools:text="2006年12月30日，孙一峰与女友weiwei结婚，育有儿子孙宁和女儿孙焕佳。" />

        <TextView
            android:id="@+id/moreSubCommentBtn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="6dp"
            android:drawableRight="@drawable/ic_comment_more_arrow"
            android:drawablePadding="5dp"
            android:includeFontPadding="false"
            android:text="查看更多回复"
            android:textColor="@color/theme_font"
            android:textSize="12sp" />
    </LinearLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/bottomContainer"
        android:layout_width="0dp"
        android:layout_height="56dp"
        android:layout_marginRight="16dp"
        app:layout_constraintTop_toBottomOf="@+id/subCommentContainer"
        app:layout_constraintBottom_toTopOf="@+id/divider"
        app:layout_constraintStart_toStartOf="@id/userInfoContainer"
        app:layout_constraintEnd_toEndOf="parent">

        <TextView
            android:id="@+id/timeTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:layout_marginBottom="20dp"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="11sp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            tools:text="一小时前" />

        <TextView
            android:visibility="gone"
            android:id="@+id/originalTv"
            android:layout_width="wrap_content"
            android:layout_height="28dp"
            android:paddingLeft="16dp"
            android:paddingRight="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp"
            android:gravity="center_vertical"
            android:background="@drawable/button_round_primary_light"
            android:drawableRight="@drawable/ic_comment_original_arrow"
            android:drawablePadding="4dp"
            android:includeFontPadding="false"
            android:textColor="@color/theme_font"
            android:textSize="12sp"
            android:text="查看原文"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <TextView
            android:visibility="gone"
            android:id="@+id/device"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableLeft="@drawable/rating_phone_icon"
            android:drawablePadding="4dp"
            android:ellipsize="end"
            android:gravity="center"
            android:maxLines="1"
            android:paddingRight="8dp"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="10sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/version"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="小米2S" />

        <TextView
            android:visibility="gone"
            android:id="@+id/version"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="8dp"
            android:gravity="center"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="10sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/device"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_goneMarginStart="8dp" />

        <TextView
            android:id="@+id/likeCountTv"
            android:layout_width="wrap_content"
            android:layout_height="40dp"
            android:drawableLeft="@drawable/comment_vote_unselect"
            android:drawablePadding="4dp"
            android:gravity="center_vertical"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="11sp"
            app:layout_constraintBottom_toBottomOf="@id/timeTv"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/timeTv"
            tools:text="999" />

        <TextView
            android:id="@+id/commentCountTv"
            android:layout_width="wrap_content"
            android:layout_height="40dp"
            android:layout_marginRight="24dp"
            android:drawableLeft="@drawable/ic_article_detail_comment_list"
            android:drawablePadding="4dp"
            android:gravity="center_vertical"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="11sp"
            app:layout_constraintBottom_toBottomOf="@id/timeTv"
            app:layout_constraintEnd_toStartOf="@id/likeCountTv"
            app:layout_constraintTop_toTopOf="@id/timeTv"
            tools:text="999" />

        <TextView
            android:id="@+id/audit"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginRight="20dp"
            android:textColor="@color/theme_red"
            android:textSize="12sp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>


    <View
        android:id="@+id/divider"
        android:layout_width="match_parent"
        android:layout_height="8dp"
        android:background="@color/background"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <View
        android:id="@+id/bottomDivider"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_marginLeft="64dp"
        android:layout_marginRight="16dp"
        android:background="@color/divider"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        tools:visibility="visible" />
</androidx.constraintlayout.widget.ConstraintLayout>